%define anolis_release 2

Name:           python-linkify-it-py
Version:        2.0.0
Release:        %{anolis_release}%{?dist}
Summary:        Link recognition library with full Unicode support

License:        MIT
URL:            https://github.com/tsutsu3/linkify-it-py
Source0:        %{url}/archive/v%{version}/linkify-it-py-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist uc-micro-py}
BuildRequires:  %{py3_dist wheel}

%global _description %{expand:
This is a Python port of linkify-it [1], a link recognition library with
FULL unicode support.  It is focused on high quality link pattern
detection in plain text.  See a JavaScript demo [2].

References:
[1] https://github.com/markdown-it/linkify-it
[2] https://markdown-it.github.io/linkify-it/}

%description %_description

%package     -n python3-linkify-it-py
Summary:        Link recognition library with full Unicode support

%description -n python3-linkify-it-py %_description

%package -n     python3-linkify-it-py-doc
Summary:        doc files for python3-linkify-it-py
Requires:       python3-linkify-it-py = %{version}-%{release}

%description -n python3-linkify-it-py-doc
doc files for python3-linkify-it-py

%prep
%autosetup -n linkify-it-py-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files linkify_it

%check
%pytest

%files -n python3-linkify-it-py -f %{pyproject_files}

%files -n python3-linkify-it-py-doc
%doc CHANGELOG.md README.md

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.0.0-2
- Rebuild with python3.11

* Thu Mar 23 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.0.0-1
- Init upstream from version 2.0.0
